<div class="pagination justify-content-center">
    <ul class="pagination">
        {% if page_obj.has_previous %}
            <li class="page-item">
                <a class="page-link" href="?{% url_replace request page_name 1 %}">&laquo; Première</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="?{% url_replace request page_name page_obj.previous_page_number %}">Précédente</a>
            </li>
        {% endif %}

        <li class="page-item disabled">
            <span class="page-link">
                Page {{ page_obj.number }} / {{ page_obj.paginator.num_pages }}
            </span>
        </li>

        {% if page_obj.has_next %}
            <li class="page-item">
                <a class="page-link" href="?{% url_replace request page_name page_obj.next_page_number %}">Suivante</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="?{% url_replace request page_name page_obj.paginator.num_pages %}">Dernière &raquo;</a>
            </li>
        {% endif %}
    </ul>
</div>
